Bug 739092

Summary: when printing "Package(s) data still to download:", yum only counts updated packages
Product: [Fedora] Fedora Reporter: Andre Robatino <robatino>
Component: yum-prestoAssignee: Jonathan Dieter <jdieter>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: ffesti, james.antill, jdieter, jzeleny, maxamillion, pmatilai, rtguille, tla
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 13:53:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andre Robatino 2011-09-16 14:50:17 UTC
Description of problem:
In running "yum --skip-broken distro-sync" on Rawhide x86_64 to get the 20110916 updates, the size printed by "Package(s) data still to download:" only counted an updated package, not the ones that were installed or downgraded. I don't know if this is specific to distro-sync or if the behavior for installed packages would have been the same with a yum update command.

Dependencies Resolved

================================================================================
 Package                        Arch     Version                Repository
                                                                           Size
================================================================================
Installing:
 fftw-libs                      x86_64   3.3-2.fc17             rawhide   1.6 M
     replacing  fftw.x86_64 3.2.2-5.fc15
Updating:
 autocorr-en                    noarch   1:3.4.3.2-9.fc17       rawhide   105 k
 espeak                         x86_64   1.45.05-2.fc17         rawhide   886 k
 jpackage-utils                 x86_64   1.7.5-15.fc17          rawhide    65 k
 kdemultimedia-common           noarch   6:4.7.1-4.fc17         rawhide    18 k
 kdemultimedia-dragonplayer     x86_64   6:4.7.1-4.fc17         rawhide   420 k
 kdemultimedia-juk              x86_64   6:4.7.1-4.fc17         rawhide   678 k
 kdemultimedia-kio_audiocd      x86_64   6:4.7.1-4.fc17         rawhide    66 k
 kdemultimedia-kmix             x86_64   6:4.7.1-4.fc17         rawhide   393 k
 kdemultimedia-kscd             x86_64   6:4.7.1-4.fc17         rawhide   248 k
 kdemultimedia-libs             x86_64   6:4.7.1-4.fc17         rawhide   215 k
 libXaw                         x86_64   1.0.9-2.fc17           rawhide   171 k
 libcollection                  x86_64   0.6.1-5.fc17           rawhide    34 k
 libdhash                       x86_64   0.4.3-5.fc17           rawhide    22 k
 libini_config                  x86_64   0.6.2-5.fc17           rawhide    29 k
 libpath_utils                  x86_64   0.2.1-5.fc17           rawhide    22 k
 libref_array                   x86_64   0.1.2-5.fc17           rawhide    20 k
 libreoffice-calc               x86_64   1:3.4.3.2-9.fc17       rawhide   7.8 M
 libreoffice-core               x86_64   1:3.4.3.2-9.fc17       rawhide    74 M
 libreoffice-draw               x86_64   1:3.4.3.2-9.fc17       rawhide   682 k
 libreoffice-graphicfilter      x86_64   1:3.4.3.2-9.fc17       rawhide   228 k
 libreoffice-impress            x86_64   1:3.4.3.2-9.fc17       rawhide   1.0 M
 libreoffice-kde                x86_64   1:3.4.3.2-9.fc17       rawhide    72 k
 libreoffice-langpack-en        x86_64   1:3.4.3.2-9.fc17       rawhide    18 k
 libreoffice-math               x86_64   1:3.4.3.2-9.fc17       rawhide   1.1 M
 libreoffice-opensymbol-fonts   noarch   1:3.4.3.2-9.fc17       rawhide   183 k
 libreoffice-pdfimport          x86_64   1:3.4.3.2-9.fc17       rawhide   498 k
 libreoffice-presenter-screen   x86_64   1:3.4.3.2-9.fc17       rawhide   681 k
 libreoffice-ure                x86_64   1:3.4.3.2-9.fc17       rawhide   2.4 M
 libreoffice-writer             x86_64   1:3.4.3.2-9.fc17       rawhide   5.8 M
 libreoffice-xsltfilter         x86_64   1:3.4.3.2-9.fc17       rawhide   204 k
 libsemanage                    x86_64   2.1.3-2.fc17           rawhide   106 k
 libsemanage-python             x86_64   2.1.3-2.fc17           rawhide    83 k
 perl                           x86_64   4:5.14.1-189.fc17      rawhide    10 M
 perl-Module-Pluggable          noarch   1:3.90-189.fc17        rawhide    43 k
 perl-PathTools                 x86_64   3.33-189.fc17          rawhide   100 k
 perl-Pod-Escapes               noarch   1:1.04-189.fc17        rawhide    35 k
 perl-Pod-Simple                noarch   1:3.16-189.fc17        rawhide   218 k
 perl-Scalar-List-Utils         x86_64   1.23-189.fc17          rawhide    52 k
 perl-libs                      x86_64   4:5.14.1-189.fc17      rawhide   619 k
 perl-macros                    x86_64   4:5.14.1-189.fc17      rawhide    28 k
 pygobject3                     x86_64   2.90.4-1.fc17          rawhide   240 k
 ypbind                         x86_64   3:1.33-6.fc17          rawhide    56 k
Downgrading:
 kdelibs                        x86_64   6:4.7.1-1.fc17         rawhide    11 M
 kdelibs-common                 x86_64   6:4.7.1-1.fc17         rawhide   901 k
Skipped (dependency problems):
 libmash                        x86_64   0.2.0-1.fc17           rawhide    44 k

Transaction Summary
================================================================================
Install       1 Package
Upgrade      42 Packages
Downgrade     2 Packages
Skipped (dependency problems)     1 Package

Total download size: 122 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
rawhide/prestodelta                                      | 1.4 MB     00:12     
Processing delta metadata
Download delta size: 5.6 M
(1/41): autocorr-en-3.4.3.2-8.fc17_3.4.3.2-9.fc17.noarch |  21 kB     00:01     
(2/41): espeak-1.43-3.fc15_1.45.05-2.fc17.x86_64.drpm    | 585 kB     00:08     
(3/41): jpackage-utils-1.7.5-14.fc17_1.7.5-15.fc17.x86_6 |  35 kB     00:00     
(4/41): kdemultimedia-common-4.7.1-3.fc17_4.7.1-4.fc17.n |  11 kB     00:00     
(5/41): kdemultimedia-dragonplayer-4.7.1-3.fc17_4.7.1-4. | 111 kB     00:01     
(6/41): kdemultimedia-juk-4.7.1-3.fc17_4.7.1-4.fc17.x86_ | 415 kB     00:02     
(7/41): kdemultimedia-kio_audiocd-4.7.1-3.fc17_4.7.1-4.f |  20 kB     00:00     
(8/41): kdemultimedia-kmix-4.7.1-3.fc17_4.7.1-4.fc17.x86 |  41 kB     00:00     
(9/41): kdemultimedia-kscd-4.7.1-3.fc17_4.7.1-4.fc17.x86 |  95 kB     00:00     
(10/41): kdemultimedia-libs-4.7.1-3.fc17_4.7.1-4.fc17.x8 |  23 kB     00:00     
(11/41): libXaw-1.0.8-1.fc15_1.0.9-2.fc17.x86_64.drpm    | 116 kB     00:00     
(12/41): libcollection-0.6.0-4.fc15_0.6.1-5.fc17.x86_64. |  10 kB     00:00     
(13/41): libdhash-0.4.2-4.fc15_0.4.3-5.fc17.x86_64.drpm  | 7.1 kB     00:00     
(14/41): libini_config-0.6.1-4.fc15_0.6.2-5.fc17.x86_64. | 9.7 kB     00:00     
(15/41): libpath_utils-0.2.1-4.fc15_0.2.1-5.fc17.x86_64. | 6.5 kB     00:00     
(16/41): libref_array-0.1.1-4.fc15_0.1.2-5.fc17.x86_64.d | 5.6 kB     00:00     
(17/41): libreoffice-calc-3.4.3.2-8.fc17_3.4.3.2-9.fc17. | 520 kB     00:05     
(18/41): libreoffice-core-3.4.3.2-8.fc17_3.4.3.2-9.fc17. | 1.0 MB     00:08     
(19/41): libreoffice-draw-3.4.3.2-8.fc17_3.4.3.2-9.fc17. | 335 kB     00:02     
(20/41): libreoffice-graphicfilter-3.4.3.2-8.fc17_3.4.3. |  21 kB     00:00     
(21/41): libreoffice-impress-3.4.3.2-8.fc17_3.4.3.2-9.fc | 343 kB     00:01     
(22/41): libreoffice-kde-3.4.3.2-8.fc17_3.4.3.2-9.fc17.x |  21 kB     00:00     
(23/41): libreoffice-math-3.4.3.2-8.fc17_3.4.3.2-9.fc17. | 294 kB     00:01     
(24/41): libreoffice-opensymbol-fonts-3.4.3.2-8.fc17_3.4 |  20 kB     00:00     
(25/41): libreoffice-pdfimport-3.4.3.2-8.fc17_3.4.3.2-9. |  24 kB     00:00     
(26/41): libreoffice-presenter-screen-3.4.3.2-8.fc17_3.4 | 144 kB     00:00     
(27/41): libreoffice-ure-3.4.3.2-8.fc17_3.4.3.2-9.fc17.x |  59 kB     00:00     
(28/41): libreoffice-writer-3.4.3.2-8.fc17_3.4.3.2-9.fc1 | 407 kB     00:01     
(29/41): libreoffice-xsltfilter-3.4.3.2-8.fc17_3.4.3.2-9 |  22 kB     00:00     
(30/41): libsemanage-2.1.3-1.fc17_2.1.3-2.fc17.x86_64.dr |  69 kB     00:00     
(31/41): libsemanage-python-2.1.3-1.fc17_2.1.3-2.fc17.x8 |  49 kB     00:00     
(32/41): perl-5.14.1-188.fc17_5.14.1-189.fc17.x86_64.drp | 586 kB     00:02     
(33/41): perl-Module-Pluggable-3.90-188.fc17_3.90-189.fc |  27 kB     00:00     
(34/41): perl-PathTools-3.33-188.fc17_3.33-189.fc17.x86_ |  30 kB     00:00     
(35/41): perl-Pod-Escapes-1.04-188.fc17_1.04-189.fc17.no |  26 kB     00:00     
(36/41): perl-Pod-Simple-3.16-188.fc17_3.16-189.fc17.noa |  36 kB     00:00     
(37/41): perl-Scalar-List-Utils-1.23-188.fc17_1.23-189.f |  28 kB     00:00     
(38/41): perl-libs-5.14.1-188.fc17_5.14.1-189.fc17.x86_6 |  27 kB     00:00     
(39/41): perl-macros-5.14.1-188.fc17_5.14.1-189.fc17.x86 |  26 kB     00:00     
(40/41): pygobject3-2.90.3-1.fc17_2.90.4-1.fc17.x86_64.d |  50 kB     00:00     
(41/41): ypbind-1.33-5.fc17_1.33-6.fc17.x86_64.drpm      |  38 kB     00:00     
Finishing rebuild of rpms, from deltarpms
<locally rebuilding deltarpms>                           | 109 MB     04:18     
Presto reduced the update size by 95% (from 109 M to 5.6 M).
Package(s) data still to download: 18 k
(1/4): fftw-libs-3.3-2.fc17.x86_64.rpm                   | 1.6 MB     00:43     
(2/4): kdelibs-4.7.1-1.fc17.x86_64.rpm                   |  11 MB     05:25     
(3/4): kdelibs-common-4.7.1-1.fc17.x86_64.rpm            | 901 kB     00:02     
(4/4): libreoffice-langpack-en-3.4.3.2-9.fc17.x86_64.rpm |  18 kB     00:00     
--------------------------------------------------------------------------------
Total                                            35 kB/s |  13 MB     06:16     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction


Version-Release number of selected component (if applicable):
yum-3.4.3-9.fc17.noarch

How reproducible:
don't know

Comment 1 James Antill 2011-09-16 19:11:41 UTC
 It's a generic problem with yum-presto, it just shows up more often with distro-sync as it's one of the few things that'll do more than just upgrades.

Comment 2 Zdeněk Pavlas 2012-09-25 14:36:36 UTC
*** Bug 860082 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2013-04-03 15:11:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Fedora End Of Life 2015-01-09 16:47:22 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-02-17 13:53:18 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.